grid.yaxis {grid} | R Documentation

## Draw a Y-Axis

### Description

These functions create and draw a y-axis.

### Usage

    grid.yaxis(at = NULL, label = TRUE, main = TRUE, name = NULL, gp  =gpar(),
               draw = TRUE, vp = NULL)
    yaxisGrob(at = NULL, label = TRUE, main = TRUE, name = NULL, gp  =gpar(),
              vp = NULL)

### Arguments

`at` | A numeric vector of y-value locations for the tick marks.
`label` | A logical value indicating whether to draw the labels on the tick marks.
`main` | A logical value indicating whether to draw the axis at the left (`TRUE`) or at the right (`FALSE`) of the viewport.
`name` | A character identifier.
`gp` | An object of class `gpar`, typically the output from a call to the function `gpar`. This is basically a list of graphical parameter settings.
`draw` | A logical value indicating whether graphics output should be produced.
`vp` | A Grid viewport obect (or `NULL`).

### Details

Both functions create a yaxis grob (a graphical object describing a yaxis), but only `grid.yaxis` draws the yaxis (and then only if `draw` is `TRUE`).

### Value

A yaxis grob. `grid.yaxis` returns the value invisibly.

### Children

If the `at` slot of an xaxis grob is not `NULL` then the xaxis will have the following children:

major
  representing the line at the base of the tick marks.
ticks
  representing the tick marks.
labels
  representing the tick labels.

If the `at` slot is `NULL` then there are no children and ticks are drawn based on the current viewport scale.

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`, `grid.xaxis`

[Package Contents]